> ## Documentation Index
> Fetch the complete documentation index at: https://docs.platnova.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Withdraw from Card

> Withdraw funds from a card back to your wallet.

## Overview

Withdraw funds from a specific card back to your business wallet. This endpoint allows you to retrieve money from a card, reducing the card balance accordingly.


## OpenAPI

````yaml POST /v1/cards/{card_id}/withdraw
openapi: 3.1.0
info:
  title: API
  version: 1.0.0
  description: >-
    Platnova's Business API allows businesses to issue virtual accounts and
    cards to their employees, vendors, or retail customers. It allows businesses
    to streamline the process of issuing cards, manage spending, and track
    transactions. The API documentation provides information on how to integrate
    our virtual card issuing system into a business's existing systems and
    outlines the features and functionalities of the API, including card and
    account creation, management, and reporting. It also provides technical
    specifications, such as API requests, responses, and authentication
    processes.


    The API documentation is intended for developers and IT teams to use in
    order to effectively implement Platnova solutions into their business
    processes.


    # Authentication/Authorization


    To access any of the resources on the `{BaseUrl}/v1/`, the client has to
    pass pre-defined headers for authentication and authorization.


    The API is secure and only authorized clients can consume the service. There
    are API keys assigned to every business and JWT tokens assigned to every
    account for authentication/authorization.


    ## Bearer Token


    Requests may accept jwt tokens as below.


    ``` json

    Authorization: Bearer <jwt token>

     ```

    ## API Key


    Requests may acccept an api key either in the request headers or as a query
    parameter. Some requests cannot be authorized using an API key.


    ``` json

    X-API-KEY: <api key>

     ```

    OR


    ``` json

    ?api-key=<api key>

     ```

    # Base URL


    [https://sandbox.api.platnova.co](https://sandbox.api.platnova.co)


    # Errors


    Unauthorized API key


    ``` json

    {
        "status": false,
        "data": {},
        "error": [],
        "message": "unauthorized access"
    }

     ```

    Permission Denied


    ``` json

    {
        "status": false,
        "data": {},
        "error": [],
        "message": "unauthorized access: permission denied"
    }

     ```
servers:
  - url: https://api.platnova.com
    description: Production server
  - url: https://sandbox.api.platnova.co
    description: Development server
security:
  - apiKeyAuth: []
tags:
  - name: Customer
    description: Create and manage customers
  - name: Virtual Account
    description: Create and manage virtual accounts
  - name: Card
    description: Create and manage cards
  - name: Wallet
    description: List and manage wallets
  - name: Payment
    description: Send and verify payments
  - name: Transaction
    description: List transactions and generate receipts
  - name: Checkout
    description: Create and retrieve checkout sessions
  - name: Payment Link
    description: Create and manage payment links
  - name: Invoice
    description: Create and manage invoices
paths:
  /v1/cards/{card_id}/withdraw:
    parameters:
      - name: card_id
        in: path
        required: true
        description: Unique ID of the card
        example: 18ee492a-617c-4878-958a-2ee08dc20ff4
        schema:
          type: string
    post:
      tags:
        - Card
      summary: Withdraw from card
      description: Withdraw funds from a card back to your wallet.
      operationId: withdrawCard
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CardWithdrawRequest'
            example:
              currency: ngn
              amount: 200
      responses:
        '200':
          headers:
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Allow-Headers:
              schema:
                type: string
              example: >-
                Content-Type, Content-Length, Accept-Encoding, X-CSRF-Token,
                Authorization, accept, origin, Cache-Control, X-Requested-With,
                Api-Version, Platform
            Access-Control-Allow-Methods:
              schema:
                type: string
              example: POST, OPTIONS, GET, PUT, PATCH, DELETE
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            X-Ratelimit-Limit:
              schema:
                type: integer
              example: '4'
            X-Ratelimit-Remaining:
              schema:
                type: integer
              example: '3'
            X-Ratelimit-Reset:
              schema:
                type: integer
              example: '1753195585'
            Date:
              schema:
                type: string
              example: Tue, 22 Jul 2025 14:45:28 GMT
            Content-Length:
              schema:
                type: integer
              example: '373'
          description: 200 - Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  data:
                    type: object
                    properties:
                      customer:
                        type: object
                        properties:
                          id:
                            type: string
                          first_name:
                            type: string
                          last_name:
                            type: string
                          email:
                            type: string
                            format: email
                      card_id:
                        type: string
                      transaction_reference:
                        type: string
                      transaction_status:
                        type: string
                      currency:
                        type: string
                      amount:
                        type: string
                  error:
                    type: array
                    items: {}
                  message:
                    type: string
              example:
                status: true
                data:
                  customer:
                    id: 43a2b75e-5c59-429e-872a-2a54c7b17e34
                    first_name: John
                    last_name: Doe
                    email: johndoe03@email.com
                  card_id: 18ee492a-617c-4878-958a-2ee08dc20ff4
                  transaction_reference: UTR_3jtbBJC7lPJmYfcJXEWfaN2Sk1t57T
                  transaction_status: processing
                  currency: ngn
                  amount: '500'
                error: []
                message: operation was successful
        '400':
          headers:
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Allow-Headers:
              schema:
                type: string
              example: >-
                Content-Type, Content-Length, Accept-Encoding, X-CSRF-Token,
                Authorization, accept, origin, Cache-Control, X-Requested-With,
                Api-Version, Platform
            Access-Control-Allow-Methods:
              schema:
                type: string
              example: POST, OPTIONS, GET, PUT, PATCH, DELETE
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            X-Ratelimit-Limit:
              schema:
                type: integer
              example: '4'
            X-Ratelimit-Remaining:
              schema:
                type: integer
              example: '2'
            X-Ratelimit-Reset:
              schema:
                type: integer
              example: '1753194966'
            Date:
              schema:
                type: string
              example: Tue, 22 Jul 2025 14:35:32 GMT
            Content-Length:
              schema:
                type: integer
              example: '68'
          description: 400 - Card not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  data:
                    type: object
                  error:
                    type: array
                    items: {}
                  message:
                    type: string
              example:
                status: false
                data: {}
                error: []
                message: card was not found
components:
  schemas:
    CardWithdrawRequest:
      type: object
      properties:
        currency:
          type: string
          description: Currency
        amount:
          type: integer
          description: Amount to withdraw
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key for authentication.

````